List extended access of a user
curl --request GET \
--url {schemes}://api.upsun.com/users/{user_id}/extended-access \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/users/{user_id}/extended-access"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/users/{user_id}/extended-access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "<string>",
"resource_type": "project",
"organization_id": "<string>",
"permissions": [
"<string>"
],
"granted_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"_links": {
"self": {
"href": "<string>"
},
"previous": {
"href": "<string>"
},
"next": {
"href": "<string>"
}
}
}{
"error": "<string>"
}Grants
List extended access of a user
List extended access of the given user, which includes both individual and team access to project and organization.
GET
/
users
/
{user_id}
/
extended-access
List extended access of a user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the user.
Example:
"d81c8ee2-44b3-429f-b944-a33ad7437690"
Query Parameters
Allows filtering by resource_type (project or organization) using one or more operators.
Show child attributes
Show child attributes
Allows filtering by organization_id using one or more operators.
Show child attributes
Show child attributes
Allows filtering by permissions using one or more operators.
Show child attributes
Show child attributes
Last modified on June 16, 2026
Was this page helpful?